#
# Conditional build:
%bcond_with	tests	# unit tests

Summary:	TPM (Trusted Platform Module) 2.0 tools based on tpm2-tss
Summary(pl.UTF-8):	Narzędzia TPM (Trusted Platform Module) 2.0 oparte o tpm2-tss
Name:		tpm2-tools
Version:	5.7
Release:	1
License:	BSD
Group:		Applications/System
#Source0Download: https://github.com/tpm2-software/tpm2-tools/releases
Source0:	https://github.com/tpm2-software/tpm2-tools/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3acb6305070f064c28c5284d39aa0b04
URL:		https://github.com/tpm2-software/tpm2-tools
BuildRequires:	curl-devel
BuildRequires:	efivar-devel
BuildRequires:	openssl-devel >= 1.1.0
BuildRequires:	pandoc
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	tpm2-tss-devel >= 4.0.0
%if %{with tests}
BuildRequires:	cmocka-devel
BuildRequires:	expect
# for ss
BuildRequires:	iproute2
BuildRequires:	openssl-tools
BuildRequires:	python-PyYAML
BuildRequires:	tpm2-abrmd
BuildRequires:	xxd
# tpm-simulator: swtpm or tpm_server
%endif
Requires:	tpm2-tss >= 4.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TPM (Trusted Platform Module) 2.0 tools based on tpm2-tss.

%description -l pl.UTF-8
Narzędzia TPM (Trusted Platform Module) 2.0 oparte o tpm2-tss.

%package -n bash-completion-tpm2-tools
Summary:	Bash completion for tpm2 tools
Summary(pl.UTF-8):	Bashowe dopełnianie poleceń tpm2 tools
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-tpm2-tools
Bash completion for tpm2 tools.

%description -n bash-completion-tpm2-tools -l pl.UTF-8
Bashowe dopełnianie poleceń tpm2 tools.

%prep
%setup -q

%build
%configure \
	SS=/sbin/ss \
	%{?with_tests:--enable-unit} \
	--disable-silent-rules \
	--with-bashcompdir=%{bash_compdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{AUTHORS.md,CHANGELOG.md,LICENSE,MAINTAINERS.md,README.md}
%attr(755,root,root) %{_bindir}/tpm2
%attr(755,root,root) %{_bindir}/tpm2_*
%attr(755,root,root) %{_bindir}/tss2
%attr(755,root,root) %{_bindir}/tss2_*
%{_mandir}/man1/tpm2.1*
%{_mandir}/man1/tpm2_*.1*
%{_mandir}/man1/tss2_*.1*

%files -n bash-completion-tpm2-tools
%defattr(644,root,root,755)
%{bash_compdir}/tpm2
%{bash_compdir}/tpm2_completion.bash
%{bash_compdir}/tss2
%{bash_compdir}/tss2_*
%changelog
* Thu May 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tpm2-tools.git;a=log;h=master

* Thu May 09 2024 Jakub Bogusz <qboosh@pld-linux.org> ebd2fc9
- updated to 5.7 (fixes CVE-2024-29038 CVE-2024-29039)

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> ac6316d
- updated to 5.5

* Fri Jul 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 237a5e5
- new

